Bug 144580 - xscreensaver - rd-bomb consitently bombs
xscreensaver - rd-bomb consitently bombs
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: xscreensaver (Show other bugs)
3
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-08 14:25 EST by Michal Jaegermann
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-14 11:40:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2005-01-08 14:25:25 EST
Description of problem:

I have in logs now eight messages of this nature:

kernel: rd-bomb[19235]: segfault at 0000002a9568b000
          rip 0000000000403023 rsp 0000007fbfffeec0 error 6

Reported values are consistent with an exception of "rsp" which
moves a bit.

No idea if this happens on i386 or not.

Yes, I know that I can turn that particular "hack" off.

Version-Release number of selected component (if applicable):
xscreensaver-4.18-4

How reproducible:
Seems to be pretty consistent
Comment 1 Sitsofe Wheeler 2005-01-09 13:54:59 EST
What happens if you run /usr/X11R6/lib/xscreensaver/rd-bomb from the command line?
Comment 2 Michal Jaegermann 2005-01-09 16:27:41 EST
> What happens if you run /usr/X11R6/lib/xscreensaver/rd-bomb from the 
> command line?

Segmentation fault

and if I will try that under gdb then I see:

(gdb) r
Starting program: /usr/X11R6/lib/xscreensaver/rd-bomb
warning: Child process unexpectedly missing: No child processes

Program terminated with signal ?, Unknown signal.
The program no longer exists.
You can't do that without a process to debug.

Comment 3 Sitsofe Wheeler 2005-01-10 03:38:33 EST
If you are using kernel-2.6.9-1.724_FC3 a broken gdb is bug #144021 . If you are
feeling brave you can always try putting it through valgrind...
Comment 4 Michal Jaegermann 2005-01-10 17:04:44 EST
Oh, I did not realized that ptrace got broken on FC3 too.

This is from another box with a "rawhide" installation,
xscreensaver-4.18-17 and after debuginfo package was installed.

(gdb) r
Starting program: /usr/libexec/xscreensaver/hacks/rd-bomb

Program received signal SIGSEGV, Segmentation fault.
0x00000000004030fe in screenhack (dpy=0x50f920, win=39845889) at
rd-bomb.c:277
277             qqq[j] = colors[mc[r1] % ncolors].pixel;
(gdb) bt
#0  0x00000000004030fe in screenhack (dpy=0x50f920, win=39845889)
    at rd-bomb.c:277
#1  0x0000000000404489 in main (argc=1, argv=0x7ffffffff818)
    at screenhack.c:678
#2  0x0000003b41d1c4ca in __libc_start_main () from /lib64/tls/libc.so.6
#3  0x00000000004022ba in _start ()
#4  0x00007ffffffff808 in ?? ()
#5  0x000000000000001c in ?? ()
#6  0x0000000000000001 in ?? ()
#7  0x00007ffffffffa4f in ?? ()
#8  0x0000000000000000 in ?? ()

Above 'r1' is 65500, 'colors[mc[r1] % ncolors]' gives
{pixel = 15100542, red = 58880, green = 27207, blue = 32485,
  flags = 7 '\a', pad = 0 '\0'}
and 'j' prints as -1430464576, i.e. 0xaabcd7c0.  SIGSEGV looks
"natural" in circumstances. :-)  'j' is a lower half of $r12
which actually contains 0x2aaaaabcbf70.  Somebody fast and loose
with types?
Comment 5 David Juran 2005-10-09 09:17:57 EDT
This seems to be fixed in xscreensaver-4.22-18 in rawhide
Comment 6 Matthew Miller 2006-07-10 17:05:26 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 7 Ray Strode [halfline] 2007-08-14 11:40:42 EDT
The information we've requested above is required in order
to review this problem report further and diagnose/fix the
issue if it is still present.  Since there haven't been any
updates to the report in quite a long time now after we've
requested additional information, we're assuming the problem
is either no longer present in our current OS release, or
that there is no longer any interest in tracking the problem.

Setting status to CANTFIX, however if you still
experience this problem after updating to our latest Fedora
Core release and are still interested in Red Hat tracking
the issue, and assisting in troubleshooting the problem,
please feel free to provide the information requested above,
and reopen the report.

Thank you in advance.

(this message is mass message)

Note You need to log in before you can comment on or make changes to this bug.